Subject: bug#8057: 23.2.93; (PCL-CVS and) log-edit

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 14 Jul 2011 20:41:01 +0200

Reiner Steib <[email-masked]> writes:

> The user has no information what will happen to the pseudo headers
> (e.g. "Summary:") and the empty lines.  By trial reading
> `log-edit-done', I found out that they will not clutter the file's
> commit log.

[...]

> Maybe we could add some lines (at the bottom) similar like CVS:
>
> | Summary:
> |
> | * Berechtigungen_und_Web-Access.txt (module): New.
> |
> | VC: ----------------------------------------------------------------------
> | VC: Enter log message above this line.  Empty header lines (e.g.
> "Summary:"), empty
> | VC: lines and lines beginning with `CVS:' are removed automatically.
> | VC:
> | VC: Press C-c C-c when you are done editing.
> | VC: ----------------------------------------------------------------------

The empty summary lines could be a nuisance, I guess (although I've
never been presented with them myself).  When do they appear?

However, having all that text at the bottom of the buffer would be even
more annoying, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/